Еще нет никакого руководства использования этим тегом …!

Руководство использования, также известное как тег выборка Wiki, является короткой аннотацией, которая описывает, когда и почему тег должен использоваться на этом сайте конкретно.

Еще нет никакого тега Wiki для этого тега …!

Справка wikis тега представляет вновь прибывших тегу. Они содержат обзор темы, определенной тегом, наряду с инструкциями по его использованию.

Все зарегистрированные пользователи могут предложить новый тег wikis.

(Обратите внимание, что, если у Вас есть меньше чем 20 000 репутаций, Ваш тег, Wiki будет одноранговым узлом, рассмотренным, прежде чем это будет опубликовано.)

3
ответа

Apache показывает пустую страницу для PHP

Я установил свежую версию Centos 7, я новичок в Linux. Я установил Apache, используя yum -y install httpd, и я могу открыть тестовую страницу, и с ней все в порядке. после этого я установил PHP (5.4 ....
09.08.2016
2
ответа

Запуск файла php из init

Я пытаюсь запустить скрипт php из init.d в centos 6.9, когда я выхожу из терминала, из которого я запустил service приложение останавливается, и всегда статус приложения отображается как остановленный, ...
25.11.2018
2
ответа

Apache не запускается

Я использую CentOS 7, и я перенес веб-сайт с php4 на php5, и у меня есть в файле конфигурации Apache это между виртуальными хостами: Options Indexes FollowSymLinks MultiViews РазрешитьПереопределить все Порядок ...
08.06.2017
2
ответа

Как обновить PHP с 5.4.16 до >= PHP 5.6.5 / PHP 7 на Centos 7?

Я использую Centos 7 и он поставляется с php 5.4.16. Теперь мне нужно установить moodle moodle 3.2, который требует как минимум PHP 5.6.5. Я пробовал установить php из репозиториев remi и IUS, но безуспешно. Все, что я ...
24.01.2017
2
ответа

Есть ли любой способ установить MySQL 5.1 и PHP 5.3 на Centos 7

Есть ли любой способ установить MySQL 5.1 и PHP 5.3 на Centos 7. Я исследовал много, но не мог найти ссылку, которая дает пошаговую процедуру. Может кто-то дать мне ступает, чтобы сопровождаться к...
02.02.2015
1
ответ

Необходимо включить gd для более старой версии PHP

Версия PHP — 5.6, поэтому она довольно старая. Использование apt -get install php5 -gd больше не будет работать. Я могу найти эти gd.so :/usr/lib/php/20151012/gd.so /usr/lib/x86 _64 -linux -gnu/libgd.so.3 --ссылки на 3.0.0 ниже /usr/lib/x86 _64 -linux -gn
14.10.2021
1
ответ

Существует ли специальный дистрибутив для стека LAMP?

Я изо всех сил пытался заставить стек LAMP работать на моем домашнем компьютере с _os, но не смог заставить его работать. Существует ли дистрибутив с предустановленным стеком LAMP, на который я могу просто добавить WordPress поверх....
11.02.2021
1
ответ

не могу записать файл на php

Я пытаюсь создать файл в каталоге /tmp и не могу. Он даже не позволит мне создать файл в том же каталоге, в котором я нахожусь (/var/www/html). Я считаю, что у меня неправильные настройки в моем php.ini, ...
08.01.2020
1
ответ

Время ожидания php-fpm56 истекло при запуске с systemd centos7

Я скомпилировал свой собственный PHP 5.6.40 (с fpm) с ICU4C 64_2 на CentOS 7, используя следующие флаги: ./configure CXXFLAGS ="-std=c++11 -DU_USING_ICU_NAMESPACE=1" \ --prefix=/usr/local/php56 \ ...
27.10.2019
1
ответ

Класс PHP PDO не найден, даже если он включен в Apache2

Я работаю над небольшим сервером на базе Debian 8. По какой-то причине (которую я пытаюсь исследовать) расширение PDO PHP перестало работать при загрузке при работе в качестве модуля Apache. Если я запускаю PHP CLI, все работает ...
09.03.2019
1
ответ

Как получить php-cgi с помощью phpbrew (PHP5.3.x)

Я установил php-5.6.40 php-7.1.14 с phpbrew, и у меня есть двоичные файлы php-cgi для обеих версий. Я использовал эту команду для получения php-cgi 5.6.40 phpbrew install 5.6.40 + default + fpm + mysql + sqlite + mb + ...
14.01.2019
1
ответ

Как подключить PHP 5.6 к SQL db после компиляции

Я установил PHP 5.6 из исходных текстов на сервер Debian 9. Версия OpenSSL в Debian 9 слишком новая для PHP 5.6, поэтому мне пришлось скомпилировать более старую версию в /opt/openssl, чтобы использовать её с PHP 5.6. (...
22.11.2018
1
ответ

Не удалось для установки php5-mysql или php5-mysqlnd

я использую Debian Jessie внутри докер-контейнера docker run --entrypoint / bin / bash -i -t php: 5-apache. К сожалению, я не могу установить php5-mysql или php5-mysqlnd. Я сделал следующие шаги: ...
23.03.2018
1
ответ

Невозможно скомпилировать PHP 5.6 в Debian 8

Я хочу установить PHP 5.6 в Debian Jessie и выполняю процедуры, перечисленные в эта страница (сервер использует ISPConfig, и я хочу добавить эту версию PHP в список доступных версий PHP) ....
12.03.2018
1
ответ

apt-get remove php5 без установки apache2

Как я могу удалить / очистить php5 без переустановки apache2? Я удалил apache2 и теперь хочу удалить php5, но система требует, чтобы я переустановил apache2, чтобы удалить php5. Почему? # aptitude why ...
24.04.2017
1
ответ

Замена для php5-auth-pam для аутентификации входа на веб-сайт для локальных пользователей

Я работаю над входом на веб-сайт на основе PHP, где пользователи должны успешно входить в систему, если они вводят действительное имя пользователя и пароль для локальной учетной записи в системе. Оглядываясь вокруг, кажется ...
13.04.2017
1
ответ

Проблемы с командой apt-get update

Когда я пытаюсь запустить команду sudo apt-get update, я получаю следующее: Ign http://security.debian.org jessie / updates InRelease Ign http://security.debian.org jessie / updates Release.gpg ...
26.02.2017
1
ответ

Пароли в установке LAMP в Debian

Где хранятся пароли в стеке LAMP, установленном локально? Если их несколько, у меня есть только пароль MySQL от предыдущей установки, но новый использует тот же пароль. Не PHP5 ...
15.02.2017
1
ответ

Обновление curl, но 'openSUSE-12.3-Update-Non-Oss' кажется устаревшим

На моем веб-сервере работает Magento 1.8.1.0, который использует php-curl под капотом. Он работает под управлением openSUSE 12.3 и: PHP 5.3.17 Apache 2.2.29 mysql Ver 14.14 Distrib 5.5.33 OpenSSL 1.0.1j Версия curl ...
20.10.2016
1
ответ

Если я указываю путь после `.php`, скрипт не найден

На моей "тестовой" системе Debian после установки Moodle запрос на http://localhost/moodle/theme/image.php/clean/core/1473903261/req возвращается Not Found The requested URL /moodle/theme/image.php/...
15.09.2016
1
ответ

mongo.so нормально работает с php apache ini, но не с php cli

Я добавил расширение mongo.so в / etc / php5 / apache2 / php.ini, и он отлично загружается в информацию о php. Но это не работает с /etc/php5/cli/php.ini. Когда я пытаюсь запустить composer для добавления mongodb ...
23.06.2016
1
ответ

Как сделать текстовый файл доступным для чтения только локальному файлу PHP на сервере, а не всем пользователям Интернета?

У меня есть сценарий PHP, который принимает некоторые конфиденциальные данные, хеширует их, а затем сравнивает их с хешами в текстовый файл на сервере. И текстовый файл, содержащий хэши, и сценарий PHP находятся в ...
15.03.2016
1
ответ

Проверить, как выполнялась команда

Я запускаю несколько веб-страниц PHP с NGINX и PHP-FPM. Недавно я разместил сайт для друга, у которого были проблемы с безопасностью WordPress, сделал все обновления, WP и плагины. Но как-то сегодня я узнал, что этот пользователь ...
05.10.2015
1
ответ

Получение незначительной ошибки несоответствия версии с Php и Mysql

Я случайно начал получать эту ошибку при попытке создать новый экземпляр mysqli в php-скрипте: mysqli :: mysqli (): Заголовки и минорная версия клиентской библиотеки не совпадают. Заголовки: 50541 Библиотека: ...
04.08.2015
1
ответ

как включить mcrypt в php5.5 с rhel6.5

я использую rhel6 ОС с php5, Но я не могу добавить mcrypt расширение для php5. Много Google, но не находит решения. [модули root@lav6] # определяют местоположение mcrypt.so/usr/lib64/libmcrypt.so/usr/lib64/...
05.09.2014
0
ответов

Разрешить пользователю запускать PHP-FPM без пароля с помощью sudoers

Я пытаюсь сделать так, чтобы пользователь мог перезагружать PHP-FPM без необходимости каждый раз вводить пароль. Я добавил следующее в файл / etc / sudoers с помощью pkexec visudo, и там нет синтаксических ошибок, но это ...
20.09.2017
0
ответов

Apache2 Не удалось запустить после установки php5 вместе с php7 в Ubuntu 16.04

Я запускаю Apache2 с php7 в Ubuntu 16.04. Но помимо этого я установил php5. После установки php5 я выполнил sudo a2enmod php5.6 Затем я перезапустил apache2 с помощью sudo service apache2 ...
19.10.2016
0
ответов

Я получаю сообщение об ошибке: Запуск PHP - отсутствует libphp5.so? PHP, кажется, отлично работает с Apache

Мой дистрибутив Linux - Arch Linux. Впервые я заметил эту ошибку при попытке отправить электронное письмо с помощью функции PHP mail (). Тестирование с помощью простого файла mail-test.php с функцией mail () отправляет электронное письмо ...
19.05.2015